<html>
<head>
<script language="JavaScript">
 imgSel=new Image();
 imgSel.src="images/mod01.jpg";
 var q,DIV,SEL;
 var ALT,pSEL,aSEL,MSIE;
 if(navigator.appName.indexOf("Netscape")<0) {MSIE=1;}
function A(){
  DIV=document.getElementById('a');
  SEL=document.getElementById('c');
  if(MSIE==1) {
   pSEL=SEL.offsetTop;aSEL=SEL.offsetHeight;
  }
  ALT=DIV.offsetHeight;
  q=window.setInterval("B()",50);
}
function B(){
 var vis;
 if(DIV.offsetTop<200){
  DIV.style.top=DIV.offsetTop+1;
  if(MSIE==1){
   if(pSEL<=(DIV.offsetTop+ALT) && (pSEL+aSEL)>=DIV.offsetTop) {
    vis="hidden";
   }else{
    vis="visible";
   }
   SEL.style.visibility=vis;
  }
 }else{
  window.clearInterval(q);
 }
}
</script>
</head>
<body onLoad="A();">
 <div id="a" style="position:absolute;top:10;left:0;background-color:#ff0000">
  Este es el div</div>
 <br>
 <br>
 <form name="b">
  <select name="c">
   <option value="a">A
  </select>
 </form>
</body>
</html>

<!--para el ejemplo he usado un intervalo de ejecucion para simular como el div se situa y sale de sobre el select. las variables son: DIV y SEL dos punteros a los objetos (para ahorrar codigo), MSIE determina el navegador, ALT es la altura del div, pSEL y aSEL (solo en msie) son la posicion vertical y la anchura del select. luego en el condicional MSIE=1 se determina si el area del div se sobrepone a la del select, si es así oculta el select, de lo contrario lo muestra.

para implementar lo de la imagen que simula el select simplemente has de escanear tu select, ir al paint (o el que uses), recortar una img del select cerrado, precargarla en tu página, normalmente al inicio del codigo javascript !-->


<!--o sin precargarla ya que de todas formas no se verá hasta mas tarde (tendrá tiempo de cargarse), luego en el body escribes el select y despues del select usas otro script para determinar la posicion del select y para asignarle la misma a la nueva imagen, y finalmente escribes la imagen de forma oculta. para mostrar ocultar la imagen se hará desde el condicional de MSIE=1. la forma de hacerlo seria tal como:
!-->

<script>
   if(MSIE==1){
    xIMG=document.getElementById('c').offsetLeft;
    yIMG=document.getElementById('c').offsetTop;
    ampIMG=document.getElementById('c').offsetWidth;
    altIMG=document.getElementById('c').offsetHeight;
	document.write("<img id='imgSelect' width='"+ampIMG+"' height='"+altIMG+"' style='visibility:hidden;position:absolute;top:"+yIMG+";left:"+xIMG+";z-index:-1'>");
   }	

</script>

<!--donde xIMG e yIMG son la posicion del select, ampIMG y altIMG son la anchura y altura del select que se van a asignar a la imagen, y al final escribo la imagen. observa que solo es para msie, en nsn no es necesario.

jbosch(vosk)
!-->


